Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Cleaning staging area

  • Loading branch information...
commit d0c771ee0474f9a1ee097a2fdcacdf0cd0cf8217 1 parent b537f0f
Robert Syme authored

Showing 3 changed files with 95 additions and 0 deletions. Show diff stats Hide diff stats

  1. +1 0  .gitignore
  2. +24 0 Gemfile.lock
  3. +70 0 acnfp-trans-counter.gemspec
1  .gitignore
@@ -40,3 +40,4 @@ pkg
40 40 #
41 41 # For vim:
42 42 #*.swp
  43 +test/data/*
24 Gemfile.lock
... ... @@ -0,0 +1,24 @@
  1 +GEM
  2 + remote: http://rubygems.org/
  3 + specs:
  4 + bio (1.4.1.5000)
  5 + git (1.2.5)
  6 + jeweler (1.5.2)
  7 + bundler (~> 1.0.0)
  8 + git (>= 1.2.5)
  9 + rake
  10 + rake (0.8.7)
  11 + rcov (0.9.9)
  12 + shoulda (2.11.3)
  13 + thor (0.14.6)
  14 +
  15 +PLATFORMS
  16 + ruby
  17 +
  18 +DEPENDENCIES
  19 + bio (>= 1.4.1)
  20 + bundler (~> 1.0.0)
  21 + jeweler (~> 1.5.2)
  22 + rcov
  23 + shoulda
  24 + thor (>= 0.14.6)
70 acnfp-trans-counter.gemspec
... ... @@ -0,0 +1,70 @@
  1 +# Generated by jeweler
  2 +# DO NOT EDIT THIS FILE DIRECTLY
  3 +# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
  4 +# -*- encoding: utf-8 -*-
  5 +
  6 +Gem::Specification.new do |s|
  7 + s.name = %q{acnfp-trans-counter}
  8 + s.version = "0.0.0"
  9 +
  10 + s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  11 + s.authors = ["Robert Syme"]
  12 + s.date = %q{2011-04-04}
  13 + s.default_executable = %q{acnfp-trans-counter}
  14 + s.description = %q{TODO: longer description of your gem}
  15 + s.email = %q{rob.syme@gmail.com}
  16 + s.executables = ["acnfp-trans-counter"]
  17 + s.extra_rdoc_files = [
  18 + "LICENSE.txt",
  19 + "README.rdoc"
  20 + ]
  21 + s.files = [
  22 + ".document",
  23 + "Gemfile",
  24 + "LICENSE.txt",
  25 + "README.rdoc",
  26 + "Rakefile",
  27 + "VERSION",
  28 + "bin/acnfp-trans-counter",
  29 + "lib/acnfp-trans-counter.rb",
  30 + "test/helper.rb",
  31 + "test/test_acnfp-trans-counter.rb"
  32 + ]
  33 + s.homepage = %q{http://github.com/robsyme/acnfp-trans-counter}
  34 + s.licenses = ["MIT"]
  35 + s.require_paths = ["lib"]
  36 + s.rubygems_version = %q{1.5.0}
  37 + s.summary = %q{A quick and dirty tool for analysis of transition and transversion frequency aross and alignment}
  38 + s.test_files = [
  39 + "test/helper.rb",
  40 + "test/test_acnfp-trans-counter.rb"
  41 + ]
  42 +
  43 + if s.respond_to? :specification_version then
  44 + s.specification_version = 3
  45 +
  46 + if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
  47 + s.add_development_dependency(%q<bio>, [">= 1.4.1"])
  48 + s.add_development_dependency(%q<thor>, [">= 0.14.6"])
  49 + s.add_development_dependency(%q<shoulda>, [">= 0"])
  50 + s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
  51 + s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
  52 + s.add_development_dependency(%q<rcov>, [">= 0"])
  53 + else
  54 + s.add_dependency(%q<bio>, [">= 1.4.1"])
  55 + s.add_dependency(%q<thor>, [">= 0.14.6"])
  56 + s.add_dependency(%q<shoulda>, [">= 0"])
  57 + s.add_dependency(%q<bundler>, ["~> 1.0.0"])
  58 + s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
  59 + s.add_dependency(%q<rcov>, [">= 0"])
  60 + end
  61 + else
  62 + s.add_dependency(%q<bio>, [">= 1.4.1"])
  63 + s.add_dependency(%q<thor>, [">= 0.14.6"])
  64 + s.add_dependency(%q<shoulda>, [">= 0"])
  65 + s.add_dependency(%q<bundler>, ["~> 1.0.0"])
  66 + s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
  67 + s.add_dependency(%q<rcov>, [">= 0"])
  68 + end
  69 +end
  70 +

0 comments on commit d0c771e

Please sign in to comment.
Something went wrong with that request. Please try again.